Subject: bug#5113: handle shell escape characters (e.g. ESC [ 0) in emacs shell

From: Glenn Morris <[email-masked]>
Date: Thu, 03 Dec 2009 12:25:07 -0500

Praveen A wrote:

> It seems that when 'ls' is invoked with --color, it output some
> escape sequences (e.g. ESC [ 0) that are not handled by shell-mode.

The Emacs manual and FAQ suggest

   (add-hook 'shell-mode-hook 'ansi-color-for-comint-mode-on)